Loading...
Searching...
No Matches
XrdXrootdProtocol.cc File Reference
`#include <poll.h>`
`#include "XrdVersion.hh"`
`#include "XProtocol/XProtocol.hh"`
`#include "Xrd/XrdBuffer.hh"`
`#include "Xrd/XrdLink.hh"`
`#include "XrdNet/XrdNetIF.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdOuc/XrdOucString.hh"`
`#include "XrdSec/XrdSecProtect.hh"`
`#include "XrdSfs/XrdSfsFlags.hh"`
`#include "XrdSfs/XrdSfsInterface.hh"`
`#include "XrdSys/XrdSysAtomics.hh"`
`#include "XrdSys/XrdSysTimer.hh"`
`#include "XrdTls/XrdTls.hh"`
`#include "XrdXrootd/XrdXrootdFile.hh"`
`#include "XrdXrootd/XrdXrootdFileLock.hh"`
`#include "XrdXrootd/XrdXrootdFileLock1.hh"`
`#include "XrdXrootd/XrdXrootdMonFile.hh"`
`#include "XrdXrootd/XrdXrootdMonitor.hh"`
`#include "XrdXrootd/XrdXrootdPio.hh"`
`#include "XrdXrootd/XrdXrootdPgwCtl.hh"`
`#include "XrdXrootd/XrdXrootdProtocol.hh"`
`#include "XrdXrootd/XrdXrootdStats.hh"`
`#include "XrdXrootd/XrdXrootdTrace.hh"`
`#include "XrdXrootd/XrdXrootdXPath.hh"`
Include dependency graph for XrdXrootdProtocol.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdXrootd

## Macros

#define | TRACELINK Link
#define | TRACELINK Link
#define | TRACELINK lp

## Functions

XrdSysError | XrdXrootd::eLog (0, "Xrootd")
XrdProtocol * | XrdgetProtocol (const char *pname, char *parms, XrdProtocol_Config *pi)
int | XrdgetProtocolPort (const char *pname, char *parms, XrdProtocol_Config *pi)
| XrdVERSIONINFO (XrdgetProtocol, xrootd)
| XrdVERSIONINFO (XrdgetProtocolPort, xrootd)

## Variables

XrdSysTrace | XrdXrootdTrace ("Xrootd")

## Macro Definition Documentation

## TRACELINK [1/3]

#define TRACELINK Link

Definition at line 289 of file XrdXrootdProtocol.cc.

## TRACELINK [2/3]

#define TRACELINK Link

Definition at line 289 of file XrdXrootdProtocol.cc.

## TRACELINK [3/3]

#define TRACELINK lp

Definition at line 289 of file XrdXrootdProtocol.cc.

## Function Documentation

## XrdgetProtocol()

XrdProtocol * XrdgetProtocol | ( | const char * | pname,
|  | char * | parms,
|  | XrdProtocol_Config * | pi )

Definition at line 199 of file XrdXrootdProtocol.cc.

{
XrdProtocol *pp = 0;
const char *txt = "completed.";
// Put up the banner
//
pi->eDest->Say("Copr. 2012 Stanford University, xroot protocol "
kXR_PROTOCOLVSTRING, " version ", XrdVERSION);
pi->eDest->Say("++++++ xroot protocol initialization started.");
// Return the protocol object to be used if static init succeeds
//
if (XrdXrootdProtocol::Configure(parms, pi))
pp = (XrdProtocol *)new XrdXrootdProtocol();
else txt = "failed.";
pi->eDest->Say("------ xroot protocol initialization ", txt);
return pp;
}
kXR_PROTOCOLVSTRING
#define kXR_PROTOCOLVSTRING
Definition XProtocol.hh:75
XrdProtocol_Config::eDest
XrdSysError * eDest
Definition XrdProtocol.hh:61
XrdProtocol
Definition XrdProtocol.hh:125
XrdSysError::Say
void Say(const char *text1, const char *text2=0, const char *txt3=0, const char *text4=0, const char *text5=0, const char *txt6=0)
Definition XrdSysError.cc:141
XrdXrootdProtocol
Definition XrdXrootdProtocol.hh:160
XrdXrootdProtocol::Configure
static int Configure(char *parms, XrdProtocol_Config *pi)
Definition XrdXrootdConfig.cc:175

References XrdCms::Config, XrdXrootdProtocol::Configure(), XrdProtocol_Config::eDest, kXR_PROTOCOLVSTRING, XrdProtocol_Config::NetTCP, XrdNet::Port(), XrdSysError::Say(), and XrdInet::Secure().

Referenced by XrdVERSIONINFO(), XrdVERSIONINFO(), and XrdVERSIONINFO().

Here is the call graph for this function:
Here is the caller graph for this function:

## XrdgetProtocolPort()

int XrdgetProtocolPort | ( | const char * | pname,
|  | char * | parms,
|  | XrdProtocol_Config * | pi )

Definition at line 233 of file XrdXrootdProtocol.cc.

{
// Figure out what port number we should return. In practice only one port
// number is allowed. However, we could potentially have a clustered port
// and several unclustered ports. So, we let this practicality slide.
//
if (pi->Port < 0) return 1094;
return pi->Port;
}
XrdProtocol_Config::Port
int Port
Definition XrdProtocol.hh:73

References XrdProtocol_Config::argc, XrdProtocol_Config::argv, XrdCms::Config, XrdProtocol_Config::ConfigFN, XrdProtocol_Config::Port, and XrdCms::Say.

Referenced by XrdVERSIONINFO(), XrdVERSIONINFO(), and XrdVERSIONINFO().

Here is the caller graph for this function:

## XrdVERSIONINFO() [1/2]

XrdVERSIONINFO | ( | XrdgetProtocol | ,
|  | xrootd | )

References XrdgetProtocol().

Here is the call graph for this function:

## XrdVERSIONINFO() [2/2]

XrdVERSIONINFO | ( | XrdgetProtocolPort | ,
|  | xrootd | )

References XrdgetProtocolPort().

Here is the call graph for this function:

## Variable Documentation

## XrdXrootdTrace

XrdSysTrace XrdXrootdTrace("Xrootd") | ( | "Xrootd" |  | ) |